Konnyaku is minimal blogging engine for multiple languages, powered by Rails 4.0 and PostgreSQL.
Ruby JavaScript CoffeeScript
Clone or download
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Failed to load latest commit information.
app
bin
config
db
lib
log
public
spec
vendor/assets
.gitignore
.gitmodules
.powrc
.pryrc
.rspec
.rvmrc
.travis.yml
Gemfile
Gemfile.lock
README.md
README.rdoc
Rakefile
config.ru

README.md

Konnyaku

Konnyaku is minimal blog engine for multiple languages, powered by Rails 4.0 and PostgreSQL.

Build Status Dependency Status Coverage Status Code Climate endorse

Features

  • Post with multi langs
    (Markdown)
  • Histories
  • File upload
  • Categorizing, Tagging
  • Search
  • Atom feed
  • Based on Twitter bootstrap

Requirements

  • Ruby 2.0.x
  • Ruby on Rails 4.0.beta1
  • PostgreSQL 9.x
  • Gems

Getting Started

Installation

$ git clone git://github.com/tnantoka/konnyaku.git YOUR_BLOG
$ cd YOUR_BLOG/
$ bundle --without test development

Database setup

$ cp config/database.yml.example config/database.yml
$ YOUR_EDITOR config/database.yml
production:
  username: USERNAME
  password: PASSWORD

$ RAILS_ENV=production rake db:create db:migrate db:seed

Configuration

$ cp config/application.yml.example config/application.yml
$ YOUR_EDITOR config/application.yml

Run

$ rake assets:precompile
$ rails s -e production

Demo

How-to

Why reinventing the wheel?

I just want to use Rails 4.0.

Why PostgreSQL?

I just want to use it.

TODO

See issues.

Contributors

Be the first :-)

License

Konnyaku is released under the MIT license.

© 2013 @tnantoka